---
title: Catalog
path: reference/api/catalog
status: published
---

# Catalog

**4 endpoints** in this group. All paths are prefixed with `/api/v1`.

## Endpoints in this group

- [`GET /api/v1/catalog/plans/{plan_id}`](#get-api-v1-catalog-plans-plan-id) — Get Plan
- [`GET /api/v1/catalog/services`](#get-api-v1-catalog-services) — List Services
- [`GET /api/v1/catalog/services/{slug}`](#get-api-v1-catalog-services-slug) — Get Service
- [`GET /api/v1/catalog/services/{slug}/plans`](#get-api-v1-catalog-services-slug-plans) — Get Service Plans

---

### GET `/api/v1/catalog/plans/{plan_id}` — Get Plan {#get-api-v1-catalog-plans-plan-id}

**Parameters**:

- `plan_id` (path, string, required)


**Responses**:

- `200` — Successful Response. Returns: `ApiResponse_PlanResponse_` — {`data`, `meta`}
- `422` — Validation Error. Returns: `HTTPValidationError` — {`detail`}


### GET `/api/v1/catalog/services` — List Services {#get-api-v1-catalog-services}

**Responses**:

- `200` — Successful Response. Returns: `ApiResponse_list_ServiceResponse__` — {`data`, `meta`}


### GET `/api/v1/catalog/services/{slug}` — Get Service {#get-api-v1-catalog-services-slug}

**Parameters**:

- `slug` (path, string, required)


**Responses**:

- `200` — Successful Response. Returns: `ApiResponse_ServiceDetailResponse_` — {`data`, `meta`}
- `422` — Validation Error. Returns: `HTTPValidationError` — {`detail`}


### GET `/api/v1/catalog/services/{slug}/plans` — Get Service Plans {#get-api-v1-catalog-services-slug-plans}

**Parameters**:

- `slug` (path, string, required)


**Responses**:

- `200` — Successful Response. Returns: `ApiResponse_list_PlanResponse__` — {`data`, `meta`}
- `422` — Validation Error. Returns: `HTTPValidationError` — {`detail`}
